/*
    GENERALES
*/

header {
    padding-top: 10rem;
    padding-bottom: 5rem;
}

.contenedor-principal {
    margin-top: 1rem;
}

.sticky {
    position: sticky;
    top: 0;
}

.rubro {
    z-index: 1;
    cursor: pointer;
}

.light {
    opacity: .5;
}

.hide {
    opacity: 0;
}

.show {
    opacity: 1;
}

header h1 img {
    max-height: 30vh;
}

header .info-contacto {
    margin-top: 5rem;
}

body.scrolling header h1 img {
    /* max-width: 300px; */
    /* max-height: 200px; */
    max-width: 80vw;
    max-height: 25vh;
}

body.scrolling header h1 {
    transform: scale(0.8);
    transform-origin: center center;
}

body.scrolling header,
body.tu-pedido header {
    padding-top: 5rem;
    padding-bottom: 2rem;
}

body.scrolling header .info-contacto,
body.tu-pedido header .info-contacto {
    margin-top: 1rem;
}

.with-transitions {
    transition: all .3s linear 0s;
}

.form-check input[type="checkbox"]:checked + label,
.form-check input[type="radio"]:checked + label {
    font-weight: 700;
}

/*
    PRODUCTOS
*/

.producto {
    transition: all 0.5s;
}

.producto .importe .importe-producto {
    cursor: pointer;
}

.producto.no-disponible .nombre-producto {
    text-decoration: line-through;
}

.producto img {
    margin-right: 1rem;
    margin-bottom: 1rem;
}

.producto .importe .col {
    margin-right: 1px;
    margin-bottom: 1px;
}

#img-container img {
    max-width: 90vw;
    max-height: 90vh;
}

/*
    BARRA DE HERRAMIENTAS
*/

#sec-herramientas {
    position: sticky;
    bottom: 0;
    /* left: 40%; */
    z-index: 1000;
    opacity: .9;
    display: flex;
    justify-content: center;
    width: 100%;
}

#sec-herramientas .herramientas .opcion {
    cursor: pointer;
}

#sec-herramientas .herramientas .opciones-presentaciones {
    display: inline;
}

.rubro.siempre-visible{
    cursor: default !important;
}

/*
    MENSAJES FLOTANTES
*/

#mensajes {
    position: fixed;
    top: 2vw;
    width: auto;
    z-index: 9999;
}

/*
    PEDIDOS
*/

#mostrarPedido {
    display: block;
    /* width: 41px;
    height: 41px; */
    float: right;
    /* line-height: 1em; */
}

.descartar,
.sumar {
    cursor: pointer;
    font-size: 2rem;
}

#tus-productos .producto .nombre-producto i.h1 {
    font-size: 1.5rem;
}

/*
    RESPONSIVE
*/

@media (max-width: 1000px) {
    .rubro h3,
    .rubro .h3 {
        font-size: 1.5rem;
    }

    .producto h2,
    .producto .h2 {
        font-size: 1.6rem;
    }
}

@media (max-width: 480px) {
    .rubro h3,
    .rubro .h3 {
        font-size: 1.1rem;
    }

    .producto h2,
    .producto .h2 {
        font-size: 1.2rem;
    }

    .alert {
        font-size: .8rem;
    }

    .producto .cnt-nombre-producto:has(img) {
        display: block !important;
    }

    .producto img {
        max-width: 100% !important;
        max-height: none !important;
    }

    .descartar.d-block,
    .sumar.d-block {
        display: inline-block !important;
    }
}

@media (max-width: 320px) {
    .rubro h3,
    .rubro .h3 {
        font-size: 1.0rem;
    }

    .producto h2,
    .producto .h2 {
        font-size: 1.1rem;
    }

    .alert {
        font-size: .7rem;
    }

    .producto .cnt-nombre-producto {
        display: block !important;
    }

    .producto img {
        max-width: 90% !important;
        max-height: none !important;
    }

    /* header h1 img {
        max-width: 80% !important;
    } */
}

@media (orientation: landscape) {
    .producto img {
        max-width: 20vw;
    }

    header h1 img {
        max-width: 90vw;
        max-height: 35vh;
    }

    body.scrolling header h1 img {
        max-height: 20vh;
    }
    /* body.scrolling header h1 img {
        max-height: 100px;
    } */

    body.mt {
        margin-top: 3rem;
    }
}

@media (orientation: portrait) {
    .producto img {
        max-height: 8vh;
    }

    header h1 img {
        max-width: 80vw;
        max-height: 30vh;
    }
}

/*
    BANNERS
*/

.box-novedad-alerta.banner {
    margin-bottom: 1rem;
}

/*
    LOADER
*/

.loader {
    margin-top: 5rem;
    margin-bottom: 5rem;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: inline-block;
    border-top: 3px solid #0006;
    border-right: 3px solid transparent;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

#loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 99999;
    pointer-events: auto;
}

#loading-overlay.off {
    opacity: 0;
    visibility: hidden;
}

/*  BOOTSTRAP   */

a {
	color: #12549c;
}

.bg-primary {
    background-color: #12549c !important;
}

.btn-outline-primary:hover,
.btn-outline-primary:active {
    color: #fff !important;
}

.btn-outline-primary {
    color: #12549c !important;
    border-color: #12549c !important;
}

.bg-info {
    background-color: #3a5777 !important;
}

a.bg-info:focus,
a.bg-info:hover,
button.bg-info:focus,
button.bg-info:hover {
	background-color: #3a5777dd !important;
}

.btn-danger {
    background-color: #35516e;
    border-color: #334e6a;
}
.btn-danger:hover {
    background-color: #3a5777;
    border-color: #334e6a;
}

.btn-danger:focus,
.btn-danger.focus {
    background-color: #3a5777;
    border-color: #334e6a;
    box-shadow: 0 0 0 0.2rem #3a5777aa;
}

.btn-danger.disabled,
.btn-danger:disabled {
    background-color: #35516e;
    border-color: #35516e;
}

.btn-danger:not(:disabled):not(.disabled):active,
.btn-danger:not(:disabled):not(.disabled).active,
.show > .btn-danger.dropdown-toggle {
    background-color: #3a5777;
    border-color: #334e6a;
}

.btn-danger:not(:disabled):not(.disabled):active:focus,
.btn-danger:not(:disabled):not(.disabled).active:focus,
.show > .btn-danger.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem #3a5777aa;
}

.text-secondary {
    color: #5c5f64 !important;
}

#filaTotalPedido {
    border-top: 1px solid #12549caa;
}

/*  NOVEDADES   */

.box-novedad-alerta,
.novedad-diaria,
.evento-fecha {
    color: #004085;
	background-color: #cce5ff;
	border-color: #b8daff;
}

.alert .text-muted {
    color: #999387 !important;
}

.alert-light {
	color: #fdfdfe;
	background-color: #a9a9a9;
	border-color: #a9a9a9;
}
